/*******************************************************************************
 *                                                                             *
 *   Author: Xinjiang Shao (shaoxinjiang @gmail.com)                           *
 *                                                                             *
 *   This file is part of CS 424 Project1.                                     * 
 *                                                                             *
 *******************************************************************************/
class DataSet{
  private String[] date;
  private float[] temperature;
  private float[] yearlyAvg;
  private float[] monthlyAvg;
  public String startDate;
  public String endDate;
  
  DataSet()
  {
    
  }
  
  void readDataFromFile(String filename)
  {
    String[] rawData = loadStrings(filename);
    
    date = new String[rawData.length];
    temperature = new float[rawData.length];
    
    for (int i = 0; i < rawData.length; i++)
    {
      String[] dataRead = split(rawData[i], "\t");
      date[i] = dataRead[0];
      temperature[i] = float(dataRead[1]);
    }
    
  }
  
  String[] getDate()
  {
    return date;
  }
 
  float[] getTemperature()
  {
    return temperature;
  }
  
}

void getDailyTemperatureDate(int room_number)
{
}
  
void getWeeklyTemperature()
{
    
}
  
void getMonthlyTemperature(int room_number)
{
    
}
  
float[] getYearlyTemperature(int room_number)
{
   String[] rawData = loadStrings(Integer.toString(room_number)+"/year_avg.txt");
   float[] temperature;
   temperature = new float[rawData.length];
   for (int i = 0; i < rawData.length; i++)
    {
      String[] dataRead = split(rawData[i], "\t");
      temperature[i] = float(dataRead[1]);
      println(temperature[i]);
    }
   
   return temperature;
}

String[] getYears(int room_number)
{
  String[] rawData = loadStrings(Integer.toString(room_number)+"/year_avg.txt");
  String[] years;
  years = new String[rawData.length];
  for (int i = 0; i < rawData.length; i++)
  {
      String[] dataRead = split(rawData[i], "\t");
      years[i] = dataRead[0];
      
  }
  return years;
}
