/*******************************************************************************
 *                                                                             *
 *   Author: Xinjiang Shao (shaoxinjiang @gmail.com)                           *
 *                                                                             *
 *   This file is part of CS 424 Project1.                                     * 
 *                                                                             *
 *******************************************************************************/
String DateParser(String DateString, int days_count)
{
  DateFormat myDateFormat = new SimpleDateFormat("MMM/d/yyyy h:mm a");
  DateFormat myDateFormat2 = new SimpleDateFormat("MMM/d/yyy");
  /* Conversion */
  Date myOldTime = null;
  try 
  {   
    myOldTime = myDateFormat.parse( DateString );
  } 
  catch (Exception e) 
  {  
    println("Could not parse date.");
  }
  
  /* Calculation */
  if( myOldTime != null ) 
  { // Did we succeed parsing the date string?  
    Calendar myCalendar = GregorianCalendar.getInstance();  // We need a calendar to calculate stuff  
    myCalendar.setTime( myOldTime ); // Put the time in the calendar  
    myCalendar.add( Calendar.DATE, days_count ); // Add days_count days  
    myCalendar.add( Calendar.HOUR, 0 ); // Add 0 hours  
    Date myNewTime = myCalendar.getTime(); // Get the new time back 
  
    /* Format and output */
//    println( "Time at the beginning was:" );  
//    println( myDateFormat.format( myOldTime ) );
//    println( "Time is now:" );  
//    println( myDateFormat2.format( myNewTime ) );
    return myDateFormat2.format( myNewTime );
  }
  else
    return "";
}

String PosToDate(float Pos)
{
    int days_from_begin =int(2217/(DEFAULT_BOTTOM_BOX_WIDTH-30)*(Pos - 15));
    String newDate = DateParser("Jul/29/2005 1:00 AM", days_from_begin);
    println(newDate+ ":"+days_from_begin);
    return newDate;
}

Date DateStr2DateStamp(String DateString)
{
  DateFormat myDateFormat = new SimpleDateFormat("MMM/d/yyyy h:mm a");
  Date myOldTime = null;
  try 
  {   
    myOldTime = myDateFormat.parse( DateString );
  } 
  catch (Exception e) 
  {  
    println("Could not parse date.");
  }
  if (myOldTime!=null)
    return myOldTime;
  else
    return null;
}

String DateStamp2DateStr(Date date)
{
  DateFormat myDateFormat = new SimpleDateFormat("MMM/d/yyyy h:mm a");
  return myDateFormat.format(date);
}

int getDaysFromDateDiff(String date1, String date2)
{
  Date datestamp1 = DateStr2DateStamp(date1);
  Date datestamp2 = DateStr2DateStamp(date2);
  return 0;
}
