/*******************************************************************************
 *                                                                             *
 *   Author: Xinjiang Shao (shaoxinjiang @gmail.com)                           *
 *                                                                             *
 *   This file is part of CS 424 Project1.                                     * 
 *                                                                             *
 *******************************************************************************/
// Some colors
static int COLOR_LIGHT_PURPLE   = #7983c0;
static int COLOR_BLUE           = #496598;
static int COLOR_LIGHT_GREEN    = #d8e4ad;
static int COLOR_DARK_GREEN     = #99af5b;
static int COLOR_LIGHT_YELLOW   = #eec85d;
static int COLOR_DARK_YELLOW    = #987935;
static int COLOR_PINK           = #eea8af;
static int COLOR_RED            = #bb5056;
static int COLOR_WHITE          = #ffffff;
static int COLOR_BLACK          = #000000;
static int COLOR_GREY           = #bebebe;

// Data file path
static String ROOMONE = "1/day_avg.txt";
static String ROOMTWO = "2/day_avg.txt";
static String ROOMTHREE = "3/day_avg.txt";
static String ROOMFOUR = "4/day_avg.txt";
static String ROOMFIVE = "5/day_avg.txt";
static String ROOMSIX = "6/day_avg.txt";
static String ROOMSEVEN = "7/day_avg.txt";

static String ROOMONE2005 = "1/1_2005.txt";
static String ROOMONE2006 = "1/1_2006.txt";
static String ROOMONE2007 = "1/1_2007.txt";
static String ROOMONE2008 = "1/1_2008.txt";
static String ROOMONE2009 = "1/1_2009.txt";
static String ROOMONE2010 = "1/1_2010.txt";
static String ROOMONE2011 = "1/1_2011.txt";
static String ROOMTWO2005 = "2/2_2005.txt";

// Map file path
static String ROOM_MAP_PATH       = "evl_2nd_floor.jpg";
static int ROOM_MAP_WIDTH         = 380;
static int ROOM_MAP_HEIGHT        = 720;
static float ROOM_MAP_SCALE_RATIO = 0.7;
// Boxes
static int DEFAULT_WINDOW_WIDTH           = 1024;
static int DEFAULT_WINDOW_HEIGHT          = 600;
static float DEFAULT_LEFT_BOX_WIDTH       = ROOM_MAP_WIDTH*ROOM_MAP_SCALE_RATIO;
static float DEFAULT_LEFT_BOX_HEIGHT      = ROOM_MAP_HEIGHT*ROOM_MAP_SCALE_RATIO;
static float DEFAULT_RIGHT_BOX_WIDTH      = DEFAULT_WINDOW_WIDTH - DEFAULT_LEFT_BOX_WIDTH;
static float DEFAULT_RIGHT_BOX_HEIGHT     = DEFAULT_LEFT_BOX_HEIGHT;
static int DEFAULT_CHART_BOX_WIDTH        = 400;
static int DEFAULT_CHART_BOX_HEIGHT       = 580;
static int DEFAULT_BOTTOM_BOX_WIDTH       = 1024;
static int DEFAULT_BOTTOM_BOX_HEIGHT      = 50;

// Chart
static int DEFAULT_DATASTROKEWEIGHT   = 1;
static int DEFAULT_DATASTROKECOLOR    = COLOR_BLACK;
static float DEFAULT_CHART_WIDTH      = DEFAULT_RIGHT_BOX_WIDTH-40;
static float DEFAULT_CHART_HEIGHT     = DEFAULT_RIGHT_BOX_HEIGHT-40;
static float DEFAULT_BAR_WIDTH        = 15;
// Fonts
int LG_TXT = 30;
int MD_TXT = 24;
int REG_TXT = 18;
int SM_TXT = 12;
int SCALE_TXT = 9;
int DEFAULT_CHART_TITLE_FONT_SIZE = SCALE_TXT;
int DEFAULT_CHART_LABELS_FONT_SIZE = SCALE_TXT;

PFont LG_FONT = createFont("Helvetica UI", LG_TXT);
PFont MD_FONT = createFont("Helvetica UI", MD_TXT);
PFont REG_FONT = createFont("Helvetica UI", REG_TXT);
PFont SM_FONT = createFont("Helvetica UI", SM_TXT);  
PFont SCALE_FONT = createFont("Helvetica UI", SCALE_TXT);
