/*******************************************************************************
 *                                                                             *
 *   Author: Xinjiang Shao (shaoxinjiang @gmail.com)                           *
 *                                                                             *
 *   This file is part of CS 424 Project1.                                     * 
 *                                                                             *
 *******************************************************************************/
void setupCharts()
{
  setupChart1();
  setupChart2();
  setupChart3();
  setupChart4();
  setupChart5();
  setupChart6();
  setupChart7();
}
void setupChart1()
{
  chart1 = new TimeLineChart(int(DEFAULT_CHART_WIDTH -50),
                             int(DEFAULT_CHART_HEIGHT), 
                             "Date", "Temperature", 
                             "",
                             DataOne.getDate(),
                             DataOne.getTemperature() );
  chart1.xInterval = 500;
  chart1.yInterval = 1;
  chart1.isYAxisInt = true;
  chart1.yMinValue = 60;
  chart1.yMaxValue = 90;
  chart1.setDataStrokeColor(COLOR_DARK_YELLOW);
}

void drawChart1()
{ 
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH+10, 15);
    chart1.display();
    //chart1.drawData();
  popMatrix();
}

void drawChart2()
{
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH+10, 15);
    chart2.display();
    //chart2.drawData();
  popMatrix();
}

void setupChart2()
{
  chart2 = new TimeLineChart(int(DEFAULT_CHART_WIDTH -50),
                             int(DEFAULT_CHART_HEIGHT), 
                             "Date", "Temperature", 
                             "",
                             DataTwo.getDate(),
                             DataTwo.getTemperature() );
  chart2.xInterval = 500;
  chart2.yInterval = 1;
  chart2.isYAxisInt = true;
  chart2.yMinValue = 60;
  chart2.yMaxValue = 90;
  chart2.setDataStrokeColor(COLOR_PINK);
}


void setupChart3()
{
  chart3 = new TimeLineChart(int(DEFAULT_CHART_WIDTH -50),
                             int(DEFAULT_CHART_HEIGHT), 
                             "Date", "Temperature", 
                             "",
                             DataThree.getDate(),
                             DataThree.getTemperature() );
  chart3.xInterval = 500;
  chart3.yInterval = 1;
  chart3.isYAxisInt = true;
  chart3.yMinValue = 60;
  chart3.yMaxValue = 90;
  chart3.setDataStrokeColor(COLOR_DARK_GREEN);
}
void drawChart3()
{
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH+10, 15);
    chart3.display();
    //chart2.drawData();
  popMatrix();
}

void setupChart4()
{
  chart4 = new TimeLineChart(int(DEFAULT_CHART_WIDTH -50),
                             int(DEFAULT_CHART_HEIGHT), 
                             "Date", "Temperature", 
                             "",
                             DataFour.getDate(),
                             DataFour.getTemperature() );
  chart4.xInterval = 500;
  chart4.yInterval = 1;
  chart4.isYAxisInt = true;
  chart4.yMinValue = 60;
  chart4.yMaxValue = 90;
  chart4.setDataStrokeColor(COLOR_RED);
}
void drawChart4()
{
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH+10, 15);
    chart4.display();
    //chart2.drawData();
  popMatrix();
}

void setupChart5()
{
  chart5 = new TimeLineChart(int(DEFAULT_CHART_WIDTH -50),
                             int(DEFAULT_CHART_HEIGHT), 
                             "Date", "Temperature", 
                             "",
                             DataFive.getDate(),
                             DataFive.getTemperature() );
  chart5.xInterval = 500;
  chart5.yInterval = 1;
  chart5.isYAxisInt = true;
  chart5.yMinValue = 60;
  chart5.yMaxValue = 90;
  chart5.setDataStrokeColor(COLOR_BLUE);
}
void drawChart5()
{
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH+10, 15);
    chart5.display();
    //chart2.drawData();
  popMatrix();
}
void setupChart6()
{
  chart6 = new TimeLineChart(int(DEFAULT_CHART_WIDTH -50),
                             int(DEFAULT_CHART_HEIGHT), 
                             "Date", "Temperature", 
                             "",
                             DataSix.getDate(),
                             DataSix.getTemperature() );
  chart6.xInterval = 500;
  chart6.yInterval = 1;
  chart6.isYAxisInt = true;
  chart6.yMinValue = 60;
  chart6.yMaxValue = 90;
  chart6.setDataStrokeColor(COLOR_LIGHT_PURPLE);
}
void drawChart6()
{
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH+10, 15);
    chart6.display();
    //chart2.drawData();
  popMatrix();
}
void setupChart7()
{
  chart7 = new TimeLineChart(int(DEFAULT_CHART_WIDTH -50),
                             int(DEFAULT_CHART_HEIGHT), 
                             "Date", "Temperature", 
                             "",
                             DataSeven.getDate(),
                             DataSeven.getTemperature() );
  chart7.xInterval = 500;
  chart7.yInterval = 1;
  chart7.isYAxisInt = true;
  chart7.yMinValue = 60;
  chart7.yMaxValue = 90;
  chart7.setDataStrokeColor(COLOR_LIGHT_YELLOW);
}
void drawChart7()
{
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH+10, 15);
    chart7.display();
    //chart2.drawData();
  popMatrix();
}
void drawChartAreaBackground()
{
  pushMatrix();
    translate(DEFAULT_LEFT_BOX_WIDTH, 0);
    fill(COLOR_GREY);
    noStroke();
    rect(0, 0,DEFAULT_RIGHT_BOX_WIDTH, DEFAULT_RIGHT_BOX_HEIGHT);
  popMatrix();
}

void setupBarChart()
{
  yearlyBarChart1 = new HorizontalBarChart(int(DEFAULT_CHART_WIDTH -100),
                                          int(DEFAULT_CHART_HEIGHT), 
                                          "Years", "Temperature", 
                                           "",
                                           getYearlyTemperature(1));
  
  yearlyBarChart1.setYAxisLabels(getYears(1));
  yearlyBarChart1.yInterval = 1;
  yearlyBarChart1.xInterval = 1;
  yearlyBarChart1.isYAxisInt = true;      
  yearlyBarChart1.isXAxisInt = true;
  yearlyBarChart1.setChartColor(COLOR_DARK_YELLOW);
  
  yearlyBarChart2 = new HorizontalBarChart(int(DEFAULT_CHART_WIDTH -100),
                                          int(DEFAULT_CHART_HEIGHT), 
                                          "Years", "Temperature", 
                                           "",
                                           getYearlyTemperature(2));
  
  yearlyBarChart2.setYAxisLabels(getYears(2));
  yearlyBarChart2.yInterval = 1;
  yearlyBarChart2.xInterval = 1;
  yearlyBarChart2.isYAxisInt = true;      
  yearlyBarChart2.isXAxisInt = true;
  yearlyBarChart2.setChartColor(COLOR_PINK);
  
  yearlyBarChart3 = new HorizontalBarChart(int(DEFAULT_CHART_WIDTH -100),
                                          int(DEFAULT_CHART_HEIGHT), 
                                          "Years", "Temperature", 
                                           "",
                                           getYearlyTemperature(3));
  
  yearlyBarChart3.setYAxisLabels(getYears(3));
  yearlyBarChart3.yInterval = 1;
  yearlyBarChart3.xInterval = 1;
  yearlyBarChart3.isYAxisInt = true;      
  yearlyBarChart3.isXAxisInt = true;
  yearlyBarChart3.setChartColor(COLOR_DARK_GREEN);
  
  yearlyBarChart4 = new HorizontalBarChart(int(DEFAULT_CHART_WIDTH -100),
                                          int(DEFAULT_CHART_HEIGHT), 
                                          "Years", "Temperature", 
                                           "",
                                           getYearlyTemperature(4));
  
  yearlyBarChart4.setYAxisLabels(getYears(4));
  yearlyBarChart4.yInterval = 1;
  yearlyBarChart4.xInterval = 1;
  yearlyBarChart4.isYAxisInt = true;      
  yearlyBarChart4.isXAxisInt = true;
  yearlyBarChart4.setChartColor(COLOR_RED);
  
  yearlyBarChart5 = new HorizontalBarChart(int(DEFAULT_CHART_WIDTH -100),
                                          int(DEFAULT_CHART_HEIGHT), 
                                          "Years", "Temperature", 
                                           "",
                                           getYearlyTemperature(5));
  
  yearlyBarChart5.setYAxisLabels(getYears(5));
  yearlyBarChart5.yInterval = 1;
  yearlyBarChart5.xInterval = 1;
  yearlyBarChart5.isYAxisInt = true;      
  yearlyBarChart5.isXAxisInt = true;
  yearlyBarChart5.setChartColor(COLOR_BLUE);
  
  yearlyBarChart6 = new HorizontalBarChart(int(DEFAULT_CHART_WIDTH -100),
                                          int(DEFAULT_CHART_HEIGHT), 
                                          "Years", "Temperature", 
                                           "",
                                           getYearlyTemperature(6));
  
  yearlyBarChart6.setYAxisLabels(getYears(6));
  yearlyBarChart6.yInterval = 1;
  yearlyBarChart6.xInterval = 1;
  yearlyBarChart6.isYAxisInt = true;      
  yearlyBarChart6.isXAxisInt = true;
  yearlyBarChart6.setChartColor(COLOR_LIGHT_PURPLE);
  
  yearlyBarChart7 = new HorizontalBarChart(int(DEFAULT_CHART_WIDTH -100),
                                          int(DEFAULT_CHART_HEIGHT), 
                                          "Years", "Temperature", 
                                           "",
                                           getYearlyTemperature(7));
  
  yearlyBarChart7.setYAxisLabels(getYears(7));
  yearlyBarChart7.yInterval = 1;
  yearlyBarChart7.xInterval = 1;
  yearlyBarChart7.isYAxisInt = true;      
  yearlyBarChart7.isXAxisInt = true;
  yearlyBarChart7.setChartColor(COLOR_LIGHT_YELLOW);
}

void drawBarChart(int i)
{
  drawChartAreaBackground();
  pushMatrix();
  translate(DEFAULT_LEFT_BOX_WIDTH+30, 10);
  switch(i)
  {
    case 1:
      yearlyBarChart1.display(); break;
    case 2:
      yearlyBarChart2.display(); break;
    case 3:
      yearlyBarChart3.display(); break;
    case 4:
      yearlyBarChart4.display(); break;
    case 5:
      yearlyBarChart5.display(); break;
    case 6:
      yearlyBarChart6.display(); break;
    case 7:
      yearlyBarChart7.display(); break;
  }
  popMatrix();
}
